import { ISearchable } from './searchable-interface';

export interface IListable<T> extends ISearchable<T> {

    /**
     *
     */
    add(T: any): void;

    /**
     *
     */
    remove(T: any): void;

    /**
     *
     */
    list(): Array<T>;

    /**
     *
     */
    get(T: any): T;

}
